/* ========== c-sde-hogarb2b ========== */
.c-sde-hogarb2b {
  display: flex;
  justify-content: center;
  gap: .5rem;
  margin: 1rem auto;
  max-width: 1200px;
}

.c-sde-hogarb2b.slick-initialized {
    display: block;
}

/* ========== c-hgb2bplan ========== */
.c-hgb2bplan {
  position: relative;
  display: block !important;
  width: 100%;
  border-radius: 10px;
  background: #FFF;
  box-shadow: 0 0 10px rgba(0, 0, 0, .2);
  margin: 2rem 12px .5rem;
}

.c-sde-hogarb2b.slick-initialized .c-hgb2bplan {
    display: block !important;
    margin: 2rem auto .5rem;
}

/* ========== destaca ========== */
.c-hgb2bplan__destaca {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  transform: translateY(-99%);
  padding: 6px 4px;
  color: var(--white);
  border-radius: 10px 10px 0 0;
  text-align: center;
  font-size: 12px;
}

/* ========== header ========== */
.c-hgb2bplan__head {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  min-height: 132px;
  border-radius: 8px 8px 0 0;
  gap: 2px;
}

.c-hgb2bplan__head--condestaca {
  border-radius: 0;
}

/* título */
.c-hgb2bplan__title {
  font-size: 44px;
  line-height: 35px;
  color: var(--blue);
  padding: 6px 0;
}

.c-hgb2bplan__title--large {
  font-size: 2.1rem;
}

.c-hgb2bplan__postitle {
  display: block;
  font-size: clamp(.7rem,3vw,.8rem);
  line-height: 1.3;
  color: var(--white);
  padding: 0 1rem;
  text-align: center;
  width: 90%;
  margin: 0 auto;
}

/* ========== precios ========== */
.c-hgb2bplan-price__container {
  position: relative;
  color: var(--darkBlue) !important;
  padding: .5rem;
  z-index: 1000;
}

.c-hgb2bplan__prices {
  font-size: 1.2rem;
  text-align: center;
}

.c-hgb2bplan__prices span {
  font-weight: 700;
  font-size: 2.1rem;
}

.c-hgb2bplan__pricetext {
    font-size: 12px;
}

/* ========== botones ========== */
.c-hgb2bplan__btns {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 8px;
  padding: 4px 0;
}

.c-hgb2bplan__boxbtns {
  padding: 0 16px;
  width: 100%;
}

.c-hgb2bplan__btn {
  display: flex;
  gap: 10px;
  align-items: center;
  justify-content: center;
  width: 100%;
  text-align: center;
  padding: 8px 4px;
  color: var(--white);
  border-radius: 30px;
}

/* ========== beneficios ========== */
.c-hgb2bplan__benef {
    padding: 0 24px 1rem;
    margin: 12px 0;
}

.c-hgb2bplan__txbenef {
    font-size: 1.1rem;
    line-height: 1;
    margin: .5rem 0 .5rem -8px;
    padding-top: .9rem;
}

.c-hgb2bplan__itemBenef {
    display: grid;
    grid-template-columns: 25px 1fr;
    gap: .5rem;
    padding: 10px 0;
}

.c-hgb2bplan__itemBenef.oculto {
    display: none;
}

.c-hgb2bplan__iconBenef {
    align-self: center;
    font-size: 1.4rem;
    margin-top: 2px;
}

.c-hgb2bplan__itemBenef p {
    justify-self: flex-start;
    align-self: center;
    font-size: .85rem;
    line-height: 1.2;
    text-wrap: pretty;
    color: var(--textgray);
}

/* ========== botón ver más ========== */
.c-hgb2bplan__btnmore {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  width: 100%;
  padding: 12px 8px;
  text-align: center;
  font-size: 16px;
  color: var(--blue);
}

.c-hgb2bplan__btnmore .arrow {
  width: 10px;
  height: 10px;
  border-top: 1px solid var(--blue);
  border-right: 1px solid var(--blue);
  transform: translate(-50%, -6%) rotate(135deg);
}

.c-hgb2bplan__btnmore.active .arrow {
  transform: translate(-50%, 40%) rotate(-45deg);
}


/* config dots */

.c-sde-hogarb2b .slick-slide {
    margin: 0 .5rem;
}

.c-sde-hogarb2b .slick-dots {
  bottom: -30px;
}

.c-sde-hogarb2b .slick-dots li {
  width: 12px;
  height: 12px;
  transition: .2s ease;
}

.c-sde-hogarb2b .slick-dots li.slick-active {
  width: 25px;
  height: 12px;
}

.c-sde-hogarb2b .slick-dots li button {
  width: 100%;
  height: 100%;
}

.c-sde-hogarb2b .slick-dots li button:before {
  content: ' ';
  background-color: #D3D4D3;
  border-radius: 30px;
  width: 100%;
  height: 100%;
}

.c-sde-hogarb2b .slick-dots li.slick-active button:before {
  opacity: 1;
  background-color: var(--blue);
}

@media screen and (min-width: 1135px) {
  .c-hgb2bplan {
    max-width: 270px;
    min-width: 270px;
  }
}